TARDIFF(1)

NAME
TarDiff - Compare two tarballs and report differences

DESCRIPTION
TarDiff compares the contents of two tarballs and reports on any differences found between them. Its use is mainly for release managers who can use it as a QA tool to make sure no files have accidentally been left over or were added by mistake. TarDiff supports compressed tarballs, diff statistics and suppression of GNU autotool changes.

SYNOPSIS
tardiff [options] file1.tar file2.tar[.gz/.bz2]

OPTIONS
-m, --modified Report on all changed files, including those present in both tarballs
-l, --list     List all files, even those not changed at all
-a, --autoskip Skip files which belong to the GNU autotools (for --modified)
-s, --stats    Run statistics (diffstat) on all modified files (for --modified)
-v, --version Display tardiff version
-h, --help     Display this help screen

SEE ALSO
tar(1), tardy(1)

AUTHOR
TarDiff was written by Josef Spillner <josef@coolprojects.org>. This man page was written by Axel Beckert <abe@debian.org> based on help2man(1) output for the Debian Project, but may be used by others.

COPYRIGHT
Copyright (C) 2005 Josef Spillner <josef@coolprojects.org>

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation.